/**
 * Allows users to pan the map - basically just a proxy
 * for the kaNavigator tool.
 *
 * @class MapChat.mcTools.Pan
 *
 * Depends:
 *	kaMap.js
 *	MapChat.js
 *	MapChat/application.js
 */

$.extend(MapChat.mcTools,{
	Pan: function(options)
	{
		var self = this,
			options = (this.options = options),
			map = (this.map = options.map),
			name = (this.name = "Pan"),
			nav = (this.nav = new kaNavigator( options.map ));
		
		MapChat.mcTools.Pan.prototype.activate = function()
		{
			MapChat.QueueEvent(3,"Pan",["Activate"]);
			this.nav.activate();
		}
		
		MapChat.mcTools.Pan.prototype.deactivate = function()
		{
			this.nav.deactivate();
		}
		
		return this;
	}
});
