/**
 * Restores the map to its default extents.
 *
 * @class MapChat.mcTools.ZoomFull
 *
 * Depends:
 *	kaMap.js
 *	MapChat.js
 *	MapChat/application.js
 */

$.extend(MapChat.mcTools,{
	ZoomFull: function(options)
	{
		var self = this,
			options = (this.options = options),
			map = (this.map = options.map),
			name = (this.name = "ZoomFull");
		
		this.activate = function()
		{
			var ex = this.map.getCurrentMap().defaultExtents;
			MapChat.QueueEvent(3,"ZoomFull");
			this.map.zoomToExtents(ex[0],ex[1],ex[2],ex[3]);
		}
		
		return this;
	}
});
