<?php

class MapChat_API_Chat_GetMessages
{
	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->xml = Zend_Registry::get("XMLResponse");
		$this->config = Zend_Registry::get("config");
		$this->discussion = Zend_Registry::get("discussion");
		$this->me = Zend_Registry::get("me");
	}

	/**
	 * Gets messages from the database.
	 * 
	 * @param integer $sinceTime - if specified, only messages recorded after this
	 *  number of milliseconds since the UNIX 'epoch' time will be returned.
	 * @param integer $sinceID - if specified, only messages with an ID greater than
	 *  this number will be returned.
	 */
	public function GetMessages($sinceTime=false,$sinceID=false)
	{
		$this->xml->chat_messages = Zend_Json::encode($this->discussion->Chat_getMessages($sinceTime,$sinceID));
		return $this->xml;
	}
}

?>