<?php 

class MapChat_API_Group_Create
{
	private $_xml = null;

	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->_xml = Zend_Registry::get("XMLResponse");
		$this->me = Zend_Registry::get("me");
	}
	
	public function Create($groupname,$password,$description,$moderator,$is_admin,$is_public,$can_create_users,$can_manage_users,$can_create_groups,$can_manage_groups,$can_create_discussions,$can_manage_discussions,$members)
	{
		// only let logged-in users get this:
		if (Zend_Registry::get("auth")->hasIdentity() && $this->me->canCreateGroups())
		{
			$group = new MapChat_Group();
			$group->create(array("groupname"=>$groupname,"password"=>$password,"description"=>$description,
				"moderator"=>$moderator,"is_admin"=>$is_admin,"is_public"=>$is_public,"can_create_users"=>$can_create_users,"can_manage_users"=>$can_manage_users,"can_create_groups"=>$can_create_groups,"can_manage_groups"=>$can_manage_groups,"can_create_discussions"=>$can_create_discussions,"can_manage_discussions"=>$can_manage_discussions));
			
			if ($members!="false")
			{
				$aMembers = json_decode($members);
				foreach ($aMembers->user as $member)
				{
					$group->addUser($member->id);
				}
			}
			$this->_xml->result = $group->exists();
			return $this->_xml;
		}
		else
		{
			throw new MapChat_Exception("Unauthorized Access.");
		}
	}
	
}

?>