<?php 

class MapChat_API_Map_Layers
{
	private $_xml = null;

	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->xml = Zend_Registry::get("XMLResponse");
		$this->discussion = Zend_Registry::get("discussion");
		$this->me = Zend_Registry::get("me");
	}
	
	/**
	 * Return a JSON-encoded array of map/group/layer information.
	 *
	 * @param string $map if specified in the arguments, only the
	 *   layer information for the named map is returned.
	 */
	public function Layers($map=false)
	{
		$maplayers = Zend_Json::encode($this->discussion->Layer_listLayers($map));
		$this->xml->maplayers = $maplayers;
		$this->discussion->Event_log(array(
			"type"=>5,
			"text"=>"Map_Layers",
			"data"=>array($map,$mapLayers),
			"username"=>$this->me->username,
		));
		return $this->xml;
	}
}

?>