<?php

class MapChat_API_Session_Logout
{
	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->_xml = Zend_Registry::get("XMLResponse");
	}

	public function Logout()
	{
		Zend_Registry::get("auth")->clearIdentity();
		
		// Don't forget 'me' and/or 'discussion' in the session:
		unset(MapChat_Session::ns()->me);
		unset(MapChat_Session::ns()->discussion);
		
		$this->_xml->logout = "true";

		return $this->_xml;
	}
}

?>