<?php 

class MapChat_API_User_Create
{
	private $_xml = null;

	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->_xml = Zend_Registry::get("XMLResponse");
		$this->me = Zend_Registry::get("me");
	}
	
	public function Create($username,$password,$full_name,$email,$organization,$occupation,$disabled)
	{
		// only let logged-in users get this:
		if (Zend_Registry::get("auth")->hasIdentity() && $this->me->canCreateUsers())
		{
			$user = new MapChat_User();
			$user->create(array("username"=>$username,"password"=>$password,"full_name"=>$full_name,"email"=>$email,
				"organization"=>$organization,"occupation"=>$occupation,"disabled"=>$disabled),false);
			$this->_xml->result = $user->exists();
			return $this->_xml;
		}
		else
		{
			throw new MapChat_Exception("Unauthorized Access.");
		}
	}
	
}

?>