<?php 

class MapChat_API_User_Edit
{
	private $_xml = null;

	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->_xml = Zend_Registry::get("XMLResponse");
		$this->me = Zend_Registry::get("me");
	}
	
	public function Edit($username,$password,$full_name,$email,$organization,$occupation,$disabled)
	{
		// only let logged-in users get this:
		if (Zend_Registry::get("auth")->hasIdentity() && $this->me->canManageUsers())
		{
			$opts = array("full_name"=>$full_name,"email"=>$email,"organization"=>$organization,
				"occupation"=>$occupation,"disabled"=>$disabled);
			if (strlen($password)>0)
			{
				$opts["password"]=$password;
			}
			$user = new MapChat_User($username);
			$user->setInfo($opts);
			$this->_xml->result = $user->exists();
			return $this->_xml;
		}
		else
		{
			throw new MapChat_Exception("Unauthorized Access.");
		}
	}
	
}

?>