<?php

class MapChat_Auth
{
	public function __construct()
	{
		$this->auth = Zend_Registry::get("auth");
	}
	
	public function authenticate($username,$password,$confirmed=true)
	{
		$authAdapter = new Zend_Auth_Adapter_DbTable(Zend_Registry::get("db"), 'users', 'username', 'password',
			'md5(?) AND '.($confirmed?"confirmed AND ":"").'NOT disabled');
		$authAdapter->setIdentity($username);
		$authAdapter->setCredential($password);
		$result = $this->auth->authenticate($authAdapter);
		//$this->auth->getStorage()->write($authAdapter->getResultRowObject(null, 'password'));
		
		if ($result->isValid())
		{
			Zend_Registry::set("me",new MapChat_User($result->getIdentity()));
		}
		
		return $result;
	}
}
 
?>