<?php

/**
 * Do stuff for strings.
 *
 * @class MapChat_String
 *
 */
 
class MapChat_String
{
	/**
	 * Normalize strings - generally meant for formating field descriptions to database-compatible field names, since
	 * proper quotations can't be used with MapServer in PostGIS data strings.
	 */
	public function normalize($str)
	{
		return strtolower(preg_replace("/[^A-Za-z0-9]/", "_", $str));
	}
}

?>