CREATE TABLE forgotpassword (
    username character varying NOT NULL,
    code character varying NOT NULL,
    creation_date timestamp with time zone DEFAULT now() NOT NULL
);

ALTER TABLE ONLY forgotpassword
    ADD CONSTRAINT forgotpassword_username_fkey FOREIGN KEY (username) REFERENCES users(username) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY forgotpassword OWNER to ?dbuser?;