CREATE TABLE user_discussion (
	username character varying NOT NULL,
	discussion character varying NOT NULL,
	readonly boolean not null default false
);

ALTER TABLE ONLY user_discussion
    ADD CONSTRAINT user_discussion_username_discussion_key UNIQUE (username, discussion);

ALTER TABLE ONLY user_discussion
    ADD CONSTRAINT unique_user_user UNIQUE (username, discussion);

ALTER TABLE ONLY user_discussion
    ADD CONSTRAINT user_discussion_user_name_fkey FOREIGN KEY (username) REFERENCES users(username) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY user_discussion
    ADD CONSTRAINT user_discussion_discussion_fkey FOREIGN KEY (discussion) REFERENCES discussions(discussion) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY user_discussion OWNER to ?dbuser?;