CREATE TABLE users (
    username character varying NOT NULL,
    "password" character varying NOT NULL,
    full_name character varying,
    email character varying,
    organization character varying,
    occupation character varying,
    confirmed boolean DEFAULT false,
    disabled boolean DEFAULT false,
    creation_date timestamp with time zone DEFAULT now() NOT NULL
);

ALTER TABLE ONLY users
    ADD CONSTRAINT users_pkey PRIMARY KEY (username);

ALTER TABLE ONLY users OWNER to ?dbuser?;