<?php
/** Zend_Controller_Action */
//require_once 'Zend/Controller/Action.php';

class JsController extends Zend_Controller_Action
{
		protected $_response = "";
		
		public function init()
		{
			$this->config = Zend_Registry::get("config");
			$this->_helper->viewRenderer->setNoRender(true);
		}
		
		public function __call($f, $v)
		{
			
			$path = $this->config->BaseDir."/html".$this->getRequest()->getPathInfo();
			// Make sure the path is a real path (e.g., with no ..'s in it), and the file exists
			if (str_replace("\\","/",realpath($path)) == $path && file_exists($path))
			{
				if ($this->config->minify)
				{
					$min = new Minify();
					$min->useServerCache($this->config->tmpDir);
					$min->serve(
						'Files',
						array(
							'files' => array($this->config->BaseDir."/html".$this->getRequest()->getPathInfo()),
							'encodeOutput' => false, //Don't let it encode the output - we're already doing this.
						)
					);
				}
				else
				{
					header("Content-type: application/javascript");
					echo file_get_contents($this->config->BaseDir."/html".$this->getRequest()->getPathInfo());
				}
			}
			else
			{
				throw new MapChat_Exception('Invalid request - file not found: "'.$path.'"');
			}
		}

		public function indexAction()
    {
	 		throw new MapChat_Exception('Invalid request');
	 		echo "";
    }
}

?>