$(window).load(function(){
	$("#Setup").bind("submit",runSetup);
});

function runSetup()
{
	var f = $("#Setup");
	$("#SetupError").text("");
	f.find("input").attr("disabled",true);
	
	var valid = true;
	f.find("input[type='password'][name!='dbpass']").each(function(){valid=(valid&&($(this).attr("value").length>5));});
	if (!valid)
	{
		$("#SetupError").append("Passwords must be at least 6 characters in length.<br />");
	}
	if (f.find("input[name='email']").attr("value") != f.find("input[name='email_conf']").attr("value"))
	{
		valid = false;
		$("#SetupError").append("Email addresses must match.<br />");
	}
	
	if (f.find("input[name='dbname']").attr("value").length==0)
	{
		valid = false;
		$("#SetupError").append("Name of maintenance DB required.<br />");
	}
	
	if (f.find("input[name='dbuser']").attr("value").length==0)
	{
		valid = false;
		$("#SetupError").append("Name of maintenance DB user required.<br />");
	}
	
	if (f.find("input[name='contrib_path']").attr("value").length==0)
	{
		valid = false;
		$("#SetupError").append("Contrib path for PostgreSQL sql files required.<br />");
	}
	
	if (f.find("input[name='postgis_path']").attr("value").length==0)
	{
		valid = false;
		$("#SetupError").append("Install path for PostGIS sql files required.<br />");
	}
	
	f.find("input").attr("disabled",false);
	
	return valid;
}