<?php

class MapChat_API_Chat_Svg
{
	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->xml = Zend_Registry::get("XMLResponse");
		$this->config = Zend_Registry::get("config");
		$this->discussion = Zend_Registry::get("discussion");
		$this->me = Zend_Registry::get("me");
	}

	/**
	 * Returns svg geometry data for selections/drawings linked to specified chat messages:
	 *
	 * @param array $opts - defines what to return
	 *
	 * Possible values that can be included in the opts parameter:
	 *  selection: if specified, ths should be an array of IDs for chat messages to return selections svg shapes
	 *  drawing: if specified, this should be an array of IDs for chat messages to return drawings as svg shapes
	 */
	public function Svg($opts=NULL)
	{
		$opts = Zend_Json::decode($opts);
		$this->xml->chat_svg = Zend_Json::encode($this->discussion->Chat_GetMessageSVG($opts));
		
		return $this->xml;
	}
}

?>