<?php 

class MapChat_API_Map_ClassIcon
{
	private $_xml = null;

	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->xml = Zend_Registry::get("XMLResponse");
		$this->discussion = Zend_Registry::get("discussion");
	}
	
	/**
	 * Return a 16x16 sample image for a specified layer class:
	 *
	 * @param string $map the name of the mapfile that the layer is in.
	 * @param integer $layer the index of the layer that the class is in.
	 * @param integer $class the index of the class to create a sample image.
	 */
	public function ClassIcon($map,$layer,$class)
	{
		$this->discussion->Layer_getClassIcon($map,$layer,$class);
		return false;
	}
}

?>