<?php

class MapChat_API_Session_Login
{
	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->_xml = Zend_Registry::get("XMLResponse");
	}

	public function Login($user,$pw)
	{
		$auth = new MapChat_Auth();
		$result = $auth->authenticate($user,$pw);
		
		// On a successful login, save the 'me' variable to the session so
		// it can be retrieved from later sessions:
		if ($result->isValid())
		{
			MapChat_Session::ns()->me = Zend_Registry::get("me");
		}
		
		$this->_xml->login = ($result->isValid()?"true":"false");
		$this->_xml->session = "(".json_encode(MapChat_Session::getSessionInfo()).")";

		return $this->_xml;
	}
}

?>