<?php 

class MapChat_API_User_CompleteRegistration
{
	private $_xml = null;

	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->_xml = Zend_Registry::get("XMLResponse");
	}

	public function CompleteRegistration($code,$password)
	{
		$user = new MapChat_User();
		$user->confirmRegistration($code);
		$user->completeRegistration($code,$password);
		
		$this->_xml->session = json_encode(MapChat_Session::getSessionInfo());
		$this->_xml->goto = ($_SERVER["HTTPS"]=="on"?"https://":"http://")
			.$_SERVER["HTTP_HOST"].dirname($_SERVER["SCRIPT_NAME"]).
			(Zend_Registry::get("config")->useCookies?"":"?sid=".Zend_Session::getId());
		
		return $this->_xml;
	}
}

?>