<?php 

class MapChat_API_User_UpdatePW
{
	private $_xml = null;

	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->_xml = Zend_Registry::get("XMLResponse");
		$this->me = Zend_Registry::get("me");
	}
	
	public function UpdatePW($old_password,$new_password)
	{
		// only let logged-in users get this:
		if (Zend_Registry::get("auth")->hasIdentity())
		{
			if ($this->me->checkPassword($old_password))
			{
				$opts = array("password"=>$new_password);
				$this->me->setInfo($opts);
				$this->_xml->msg = "Profile saved";
			}
			else
			{
				$this->_xml->msg = "The old password was invalid.";
			}
			return $this->_xml;
		}
		else
		{
			throw new MapChat_Exception("Unauthorized Access.");
		}
	}
	
}

?>