<?php 

class MapChat_API_User_UpdateProfile
{
	private $_xml = null;

	public function __construct()
	{
		// Load the Response Object from the Api Controller
		$this->_xml = Zend_Registry::get("XMLResponse");
		$this->me = Zend_Registry::get("me");
	}
	
	public function UpdateProfile($password,$full_name,$email,$organization,$occupation)
	{
		// only let logged-in users get this:
		if (Zend_Registry::get("auth")->hasIdentity())
		{
			if ($this->me->checkPassword($password))
			{
				$opts = array("full_name"=>$full_name,"email"=>$email,"organization"=>$organization,"occupation"=>$occupation);
				$this->me->setInfo($opts);
				$this->_xml->msg = "Profile saved";
			}
			else
			{
				$this->_xml->msg = "Invalid password";
			}
			return $this->_xml;
		}
		else
		{
			throw new MapChat_Exception("Unauthorized Access.");
		}
	}
	
}

?>