<?php

class MapChat_Captcha
{

	/*
	 * Generate a new Captcha session, and return the ID:
	 */
	public function generate()
	{
		$captcha = new Zend_Captcha_Image(Zend_Registry::get("config")->CaptchaConfig);
		$captcha->generate();
		return $captcha->getId();
	}
	
	/*
	 * Verify that a captcha is valid:
	 */
	public function verify($id,$word)
	{
		$captchaSession = new Zend_Session_Namespace("Zend_Form_Captcha_" . $id);
		$captchaIterator = $captchaSession->getIterator();
		$captchaWord = (isset($captchaIterator["word"])?$captchaIterator["word"]:false);
		if( $captchaWord ) {
			if( $word != $captchaWord ){
				return false;
			} else {
				return true;
			}
		} else {
			return false;
		}
	}
	
}

?>