<?php

class MapChat_Exception extends Exception
{
	protected $_errorCode = 0;
	protected $_lineNumber = -1;
	protected $_fileName = "";
	
	public function __construct($message = null, $errorCode = 0, $lineNumber = -1, $fileName = "")
	{
		$this->_errorCode = $errorCode;
		$this->_lineNumber = $lineNumber;
		$this->_fileName = $fileName;
		parent::__construct($message);
	}

	public function getError()
	{
		return $this->_errorCode;
	}
	
	public function getLineNumber()
	{
		return $this->_lineNumber;
	}
	
	public function getFileName()
	{
		return $this->_fileName;
	}
}

?>