<?php

// Just a class for doing common things with xml that have not
// provided in the SimpleXML library, like appending elements:
class MapChat_XML
{
	public function append(SimpleXMLElement $parent, $child)
	{
		if (gettype($child)=="object" && get_class($child)=="SimpleXMLElement")
		{
			$parentNode = dom_import_simplexml($parent);
			$childNode = $parentNode->ownerDocument->importNode(dom_import_simplexml($child), true);
			$parentNode->appendChild($childNode);
		}
		else
		{
			$parentNode = dom_import_simplexml($parent);
			$parentNode->appendChild(new DOMText($child));
		}
	}
}

?>