CREATE TABLE group_discussion (
	groupname character varying NOT NULL,
	discussion character varying NOT NULL,
	readonly boolean not null default false
);

ALTER TABLE ONLY group_discussion
    ADD CONSTRAINT group_discussion_groupname_discussion_key UNIQUE (groupname, discussion);

ALTER TABLE ONLY group_discussion
    ADD CONSTRAINT unique_group_discussion UNIQUE (groupname, discussion);

ALTER TABLE ONLY group_discussion
    ADD CONSTRAINT group_discussion_group_name_fkey FOREIGN KEY (groupname) REFERENCES groups(groupname) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY group_discussion
    ADD CONSTRAINT group_discussion_discussion_fkey FOREIGN KEY (discussion) REFERENCES discussions(discussion) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY group_discussion OWNER to ?dbuser?;