CREATE TABLE group_user (
    groupname character varying NOT NULL,
    username character varying NOT NULL
);

ALTER TABLE ONLY group_user
    ADD CONSTRAINT group_user_groupname_username_key UNIQUE (groupname, username);

ALTER TABLE ONLY group_user
    ADD CONSTRAINT unique_group_user UNIQUE (groupname, username);

ALTER TABLE ONLY group_user
    ADD CONSTRAINT group_user_group_name_fkey FOREIGN KEY (groupname) REFERENCES groups(groupname) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY group_user
    ADD CONSTRAINT group_user_username_fkey FOREIGN KEY (username) REFERENCES users(username) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY group_user OWNER to ?dbuser?;