CREATE TABLE groupjoinrequests (
    code character varying NOT NULL,
    username character varying NOT NULL,
    groupname character varying NOT NULL,
    creation_date timestamp with time zone DEFAULT now() NOT NULL
);

ALTER TABLE ONLY groupjoinrequests
    ADD CONSTRAINT groupjoinrequests_groupname_fkey FOREIGN KEY (groupname) REFERENCES groups(groupname) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY groupjoinrequests
    ADD CONSTRAINT groupjoinrequests_username_fkey FOREIGN KEY (username) REFERENCES users(username) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY groupjoinrequests OWNER to ?dbuser?;