CREATE TABLE registration (
    code character varying NOT NULL,
    creation_date timestamp with time zone DEFAULT now() NOT NULL,
    username character varying NOT NULL
);

ALTER TABLE ONLY registration
    ADD CONSTRAINT registration_username_fkey FOREIGN KEY (username) REFERENCES users(username) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE ONLY registration OWNER to ?dbuser?;